Subject: RE: Annoucement: GCC-3.4.0 binary release candidat
From: "Dave Korn" <[email-masked]>
To: "'Gerrit P. Haase'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 8 Jun 2004 17:29:41 +0100

> -----Original Message-----
> From: cygwin-owner On Behalf Of Gerrit P. Haase
> Sent: 08 June 2004 17:05
> To: Arthur I Schwarz
> Cc: mingw-users; cygwin@; tprince; hannes
> Subject: Re: Annoucement: GCC-3.4.0 binary release candidat

> I can compile libjava, but when jv-convert (gcc-3.3.3) should 
> be linked
> I get errors with multiple defined symbols.  I found a two year old
> thread and a patch which was integrated, but it seems that 
> this doesn't
> work anymore for Cygwin.  Well, I could link jv-convert (gcc 3.4.0) in
> the first try, however it crashes when I try to run it.  As I tried a
> second time I got undefined references when linking jv-convert.
> 
> So it seems I have no luck with Java and probably I'll 
> release gcc-3.3.3
> without Java included.
> 
> If someone with a fast machine could test / track down whether it is
> a libjava / gcjh problem or if it is a problem with cygwin-1.5.10
> (which is the version I'm currently using).
> I also tried the 2004-06-04 cygwin snapshot with the same result.
> 
> No matter if you take 3.3.3, 3.3.4 or 3.4.0, I cannot build libjava in
> all three versions.

  If it was discovered that java doesn't work under cygwin in 3.3.3, and
nobody was available to fix it, wouldn't that explain why someone has
disabled it in configury for 3.3.4, as we were discussing on the gcc list
earlier ?

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/